### Constructor

# Foundry ActionIntent new

since: 1.1

#### Declaration [src]

    FoundryIntent*
    foundry_action_intent_new (
      const char* action_name,
      GVariant* action_target
    )

#### Description [src]

Creates a new `FoundryActionIntent` for performing an action with optional parameters.

If `action_target` is floating, its floating reference is sunk.

Available since: 1.1

#### Parameters

`action_name`

  Type: `const char*`

  The name of the action to perform.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`action_target`

  Type: `GVariant`

  Optional parameters for the action as a GVariant.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `FoundryIntent`

A new `FoundryActionIntent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.